declare global {
  type ToolFunc<T extends unknown[]> = (...args: T) => Promise<void>;
  interface ITool {
    name: string;
    description: string;
    run: ToolFunc<any[]>;
    help?: () => Promise<void> | void;
    done?: () => Promise<void> | void;
  }
}
